using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("导航属性：考核方案审核导入表")]
    public class T_PT_ASSESSMENT_PLAN_AUDIT_TEMP_DETAIL : MesEntityBase
    {
        [Description("编号")]
        [FormFieldTable]
        [FormFieldQuery]
        public string CODE { get; set; }

        [Description("部门ID")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("考核年度")]
        [FormFieldTable]
        [FormFieldQuery]
        public string YEAR { get; set; }

        [Description("考核周期")]
        [FormFieldTable]
        [FormFieldQuery]
        public PTAssessmentCycleEnums ASSESSMENT_CYCLE { get; set; }

        [Description("安全生产目标与指标制定内容表")]
        [FormFieldEdit]
        public ICollection<T_PT_ASSESSMENT_PLAN_AUDIT_TEMP_DETAIL_CONTENT> Nav_Contents { get; set; }

        [Description("考核人员")]
        public string CHARGE_NAME { get; set; }

        [Description("安全生产指标考核项目")]
        [DataFieldIngore]
        public string NAME { get; set; }
        [Description("分数")]
        [DataFieldIngore]
        public string SCORE { get; set; }
        [Description("考核认定评分办法")]
        [DataFieldIngore]
        public string METHOD { get; set; }
    }
}
